org.activiti.engine.history

## Interface HistoricVariableInstanceQuery

- All Superinterfaces:
    Query<HistoricVariableInstanceQuery,HistoricVariableInstance>

      public interface HistoricVariableInstanceQuery
      extends Query<HistoricVariableInstanceQuery,HistoricVariableInstance>

  Programmatic querying for `HistoricVariableInstance`s.
  Author:
    Christian Lipphardt (camunda)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HistoricVariableInstanceQuery` | `excludeTaskVariables()` Only select historic process variables which were not set task-local.
    `HistoricVariableInstanceQuery` | `excludeVariableInitialization()` Don't initialize variable values.
    `HistoricVariableInstanceQuery` | `executionId(String executionId)` Only select historic process variables with the given id.
    `HistoricVariableInstanceQuery` | `executionIds(Set<String> executionIds)` Only select historic process variables whose id is in the given set of ids.
    `HistoricVariableInstanceQuery` | `id(String id)` Only select a historic variable with the given id.
    `HistoricVariableInstanceQuery` | `orderByProcessInstanceId()`
    `HistoricVariableInstanceQuery` | `orderByVariableName()`
    `HistoricVariableInstanceQuery` | `processInstanceId(String processInstanceId)` Only select historic process variables with the given process instance.
    `HistoricVariableInstanceQuery` | `taskId(String taskId)` Only select historic process variables with the given task.
    `HistoricVariableInstanceQuery` | `taskIds(Set<String> taskIds)` Only select historic process variables whose id is in the given set of ids.
    `HistoricVariableInstanceQuery` | `variableName(String variableName)` Only select historic process variables with the given variable name.
    `HistoricVariableInstanceQuery` | `variableNameLike(String variableNameLike)` Only select historic process variables where the given variable name is like.
    `HistoricVariableInstanceQuery` | `variableValueEquals(String variableName, Object variableValue)` only select historic process variables with the given name and value
    `HistoricVariableInstanceQuery` | `variableValueLike(String variableName, String variableValue)` only select historic process variables like the given name and value
    `HistoricVariableInstanceQuery` | `variableValueLikeIgnoreCase(String variableName, String variableValue)` only select historic process variables like the given name and value (case insensitive)
    `HistoricVariableInstanceQuery` | `variableValueNotEquals(String variableName, Object variableValue)` only select historic process variables that don't have the given name and value

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### id

          HistoricVariableInstanceQuery id(String id)

      Only select a historic variable with the given id.

    - #### processInstanceId

          HistoricVariableInstanceQuery processInstanceId(String processInstanceId)

      Only select historic process variables with the given process instance.

    - #### executionId

          HistoricVariableInstanceQuery executionId(String executionId)

      Only select historic process variables with the given id.

    - #### executionIds

          HistoricVariableInstanceQuery executionIds(Set<String> executionIds)

      Only select historic process variables whose id is in the given set of ids.

    - #### taskId

          HistoricVariableInstanceQuery taskId(String taskId)

      Only select historic process variables with the given task.

    - #### taskIds

          HistoricVariableInstanceQuery taskIds(Set<String> taskIds)

      Only select historic process variables whose id is in the given set of ids.

    - #### variableName

          HistoricVariableInstanceQuery variableName(String variableName)

      Only select historic process variables with the given variable name.

    - #### variableNameLike

          HistoricVariableInstanceQuery variableNameLike(String variableNameLike)

      Only select historic process variables where the given variable name is like.

    - #### excludeTaskVariables

          HistoricVariableInstanceQuery excludeTaskVariables()

      Only select historic process variables which were not set task-local.

    - #### excludeVariableInitialization

          HistoricVariableInstanceQuery excludeVariableInitialization()

      Don't initialize variable values. This is foremost a way to deal with variable delete queries

    - #### variableValueEquals

          HistoricVariableInstanceQuery variableValueEquals(String variableName,
                                                            Object variableValue)

      only select historic process variables with the given name and value

    - #### variableValueNotEquals

          HistoricVariableInstanceQuery variableValueNotEquals(String variableName,
                                                               Object variableValue)

      only select historic process variables that don't have the given name and value

    - #### variableValueLike

          HistoricVariableInstanceQuery variableValueLike(String variableName,
                                                          String variableValue)

      only select historic process variables like the given name and value

    - #### variableValueLikeIgnoreCase

          HistoricVariableInstanceQuery variableValueLikeIgnoreCase(String variableName,
                                                                    String variableValue)

      only select historic process variables like the given name and value (case insensitive)

    - #### orderByProcessInstanceId

          HistoricVariableInstanceQuery orderByProcessInstanceId()

    - #### orderByVariableName

          HistoricVariableInstanceQuery orderByVariableName()

Copyright © 2016 Alfresco. All rights reserved.